Subject: bug#42499: [PATCH] Add Bytecode Offset information to Backtrace

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Oct 2020 18:03:02 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 18 Oct 2020 10:11:33 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I don't think we should start dismissing .elc compiled files just
> > because native compilation is on the horizon.  Some users might
> > legitimately decide they don't want their Lisp natively-compiled, or
> > may be unable to do so because of the GCC version they have
> > installed.  We should continue supporting byte-compilation features
> > for the next few versions at least.
> 
> Yes, of course.  The only question is whether it makes sense to add new,
> advanced features that is only relevant for .elc files at this point

I think it does, for those very reasons.  We cannot deprecate .elc
files, certainly not yet.